package com.pi4j.io.serial;

/*
 * #%L
 * **********************************************************************
 * ORGANIZATION  :  Pi4J
 * PROJECT       :  Pi4J :: Java Library (Core)
 * FILENAME      :  Parity.java
 *
 * This file is part of the Pi4J project. More information about
 * this project can be found here:  https://pi4j.com/
 * **********************************************************************
 * %%
 * Copyright (C) 2012 - 2021 Pi4J
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * #L%
 */

public enum Parity {

    NONE(com.pi4j.jni.Serial.PARITY_NONE),
    ODD(com.pi4j.jni.Serial.PARITY_ODD),
    EVEN(com.pi4j.jni.Serial.PARITY_EVEN),

    // NOT ALL UNIX SYSTEM SUPPORT 'MARK' PARITY; THIS IS EXPERIMENTAL
    MARK(com.pi4j.jni.Serial.PARITY_MARK),

    //NOT ALL UNIX SYSTEM SUPPORT 'SPACE' PARITY; THIS IS EXPERIMENTAL
    SPACE(com.pi4j.jni.Serial.PARITY_SPACE);

    private int index = 0;

    private Parity(int index){
        this.index = index;
    }

    public int getIndex(){
        return this.index;
    }

    public static Parity getInstance(String parity) {
        return Parity.valueOf(parity.toUpperCase());
    }
}
